{namespace drk=DrkService\DrkAddresses\ViewHelpers}
<f:layout name="Default"/>

<f:section name="content">
    <f:if condition="{organisation}">
    <f:then>
    <div class="o-gridblock c-addresses">
        <div class="c-addresses--generalcontainer">
            <div class="o-gridblock__item c-addresses__imglink">
                <f:switch expression="{organisation.orgType}">
                    <f:case value="K"><header class="header"><h3>{organisation.orgName}</h3></header></f:case>
                    <f:case value="L"><header class="header"><h3>{f:if(condition: '{organisation.orgID} == \'8000\'', then: organisation.orgSubName, else: organisation.orgName)}</h3></header></f:case>
                    <f:defaultCase><header class="header"><h3>{organisation.orgName}</h3></header></f:defaultCase>
                </f:switch>
                <f:if condition="true == {drk:fileExists(file:organisation.orgMapUrl)}">
                    <f:then>
                    <a href="{organisation.orgMapUrl}">
                        <drk:externalImage
                            src="{organisation.orgMapUrl}"
                            maxWidth="640"
                            maxHeight="480"
                            class="c-addresses__img"
                            alt="{f:translate(id: 'detail.locationimage.alt')}"
                            title="{f:translate(id: 'detail.locationimage.title')}"
                            fallback="{f:if(condition: '{organisation.orgParentID} == \'8000\'', then: settings.default_sister_map, else: settings.default_map)}" />
                    </a>
                    </f:then>
                    <f:else>
                        <drk:externalImage
                                src="{organisation.orgMapUrl}"
                                maxWidth="640"
                                maxHeight="480"
                                class="c-addresses__img"
                                alt="{f:translate(id: 'detail.locationimage.alt')}"
                                title="{f:translate(id: 'detail.locationimage.title')}"
                                fallback="{f:if(condition: '{organisation.orgParentID} == \'8000\'', then: settings.default_sister_map, else: settings.default_map)}" />
                    </f:else>
                </f:if>
            </div>
            <div class="o-gridblock__item">
                <ul class="c-addresses--general" itemscope itemtype="http://schema.org/Organization">
                    <li>
                        <b><span itemprop="name">{organisation.orgName}</span></b>
                    </li>
                    <li itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
                        <span itemprop="streetAddress">{organisation.orgStreet}</span><br>
                        <span itemprop="postalCode">{organisation.orgZipcode}</span><span itemprop="addressLocality"> {organisation.orgCity}</span>
                    </li>
                    <f:if condition="{organisation.orgFon}">
                        <f:then>
                            <li>

                                <svg role="img">
                                    <use
                                        xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-telephone')}"></use>
                                </svg>
                                {f:translate(id: 'detail.phone')}: <span itemprop="telephone">{organisation.orgFon}</span>
                            </li>
                        </f:then>
                    </f:if>
                    <f:if condition="{organisation.orgFax}">
                        <f:then>
                            <li>
                                <svg role="img">
                                    <use
                                        xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-fax')}"></use>
                                </svg>
                                {f:translate(id: 'detail.fax')}: <span itemprop="faxNumber">{organisation.orgFax}</span>
                            </li>
                        </f:then>
                    </f:if>
                    <f:if condition="{organisation.orgUrl}">
                        <f:then>
                            <li>
                                <svg role="img">
                                    <use
                                        xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-website')}"></use>
                                </svg>
                                {f:translate(id: 'detail.web')}:
                                <f:link.external target="_blank" uri="{organisation.orgUrl}"
                                                 title="{f:translate(id: 'detail.web.title')}">
                                    <span itemprop="url">{organisation.orgUrl}</span>
                                </f:link.external>
                            </li>
                        </f:then>
                    </f:if>
                    <f:if condition="{organisation.orgEmail}">
                        <f:then>
                            <li>
                                <svg role="img">
                                    <use
                                        xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-mail')}"></use>
                                </svg>
                                {f:translate(id: 'detail.email')}:
                                <f:link.email email="{organisation.orgEmail}"><span itemprop="email">{organisation.orgEmail}</span></f:link.email>
                            </li>
                        </f:then>
                    </f:if>
                    <li>
                        <svg role="img">
                            <use
                                xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-map')}"></use>
                        </svg>
                        {f:translate(id: 'detail.maplink')}: <a
                        href="http://maps.google.com/maps?q={organisation.orgLatitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')},{organisation.orgLongitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')}&t=m&z=14$hl=de&mrt=all&iwd=1&iwloc=A"
                        target="_blank">{f:translate(id: 'detail.maplink.text')}</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    </f:then>
    <f:else>
        <p>Oops. Hier ist wohl ein Fehler aufgetreten. <br/> Es konnte leider keine Gliederung gefunden werden.</p>
    </f:else>
    </f:if>
    <f:if condition="{organisation.chapters}">
        <f:then>
            <div class="o-gridblock c-addresses--listingcontainer">
                <header class="header">
                    <h3>
                        {f:translate(id: 'detail.chapters')}
                    </h3>
                </header>
                <drk:block subject="{organisation.chapters}" as="chapters" chunks="2">
                    <div class="o-gridblock__item">
                        <ul class="c-addresses--listinggroup">
                            <f:for each="{chapters}" as="chapter">
                                <li>
                                    <f:link.action action="detail" pageUid="{settings.pIdKv}" arguments="{organisation: chapter.orgID}">
                                        {chapter.orgName}
                                    </f:link.action>
                                </li>
                            </f:for>
                        </ul>
                    </div>
                </drk:block>
            </div>
        </f:then>
    </f:if>

    <f:if condition="{organisation.sisters}">
        <f:then>
            <div class="o-gridblock c-addresses--listingcontainer">
                <header class="header">
                    <h3>
                        {f:translate(id: 'detail.sisters')}
                    </h3>
                </header>
                <drk:block subject="{organisation.sisters}" as="sisters" chunks="2">
                    <div class="o-gridblock__item">
                        <ul class="c-addresses--listinggroup">
                            <f:for each="{sisters}" as="sister">
                                <li>
                                    <f:link.action action="detail" pageUid="{settings.pIdSister}" arguments="{organisation: sister.orgID}">
                                        {sister.orgName}
                                    </f:link.action>
                                </li>
                            </f:for>
                        </ul>
                    </div>
                </drk:block>
            </div>
        </f:then>
    </f:if>

    <f:if condition="{organisation.companies}">
        <f:then>
            <div class="o-gridblock c-addresses--listingcontainer">
                <header class="header">
                    <h3>
                        {f:translate(id: 'detail.companies')}
                    </h3>
                </header>
                <drk:block subject="{organisation.companies}" as="companies" chunks="2">
                    <div class="o-gridblock__item">
                        <f:for each="{companies}" as="company">
                            <ul class="c-addresses--listinggroup">
                                <li>
                                    <svg role="img">
                                        <use
                                            xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-website')}"></use>
                                    </svg>
                                    <f:link.action action="detail" pageUid="{settings.pIdCompany}" arguments="{organisation: company.orgID}">
                                        {company.orgName}
                                    </f:link.action>
                                </li>
                            </ul>
                        </f:for>
                    </div>
                </drk:block>
            </div>
        </f:then>
    </f:if>

    <f:if condition="{organisation.services}">
        <f:then>
            <div class="o-gridblock c-addresses--listingcontainer">
                <header class="header">
                    <h3>
                        {f:translate(id: 'detail.services')}
                    </h3>
                </header>
                <drk:block subject="{organisation.services}" as="services" chunks="2">
                    <div class="o-gridblock__item">
                        <f:for each="{services}" as="service">
                            <ul class="c-addresses--listinggroup">
                                <li>
                                    <f:if condition="{service.orgOfferURL}">
                                        <f:then>
                                            <svg role="img">
                                                <use
                                                    xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-website')}"></use>
                                            </svg>
                                            <f:link.external uri="{service.orgOfferURL}"
                                                             title="{f:translate(id: 'detail.services.web.title')} {service.orgOfferDescription}">
                                                {service.orgOfferDescription}
                                            </f:link.external>
                                        </f:then>
                                        <f:else>
                                            <svg role="img" class="icon--hidden"></svg>
                                            {service.orgOfferDescription}
                                        </f:else>
                                    </f:if>
                                </li>
                                <li>
                                    <svg role="img">
                                        <use
                                            xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-map')}"></use>
                                    </svg>
                                    {f:translate(id: 'detail.services.maplink')}: <a
                                    href="http://maps.google.com/maps?q={service.orgOfferLatitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')},{service.orgOfferLongitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')}&t=m&z=14$hl=de&mrt=all&iwd=1&iwloc=A"
                                    target="_blank">{f:translate(id: 'detail.services.maplink.text')}</a>
                                </li>
                            </ul>
                        </f:for>
                    </div>
                </drk:block>
            </div>
        </f:then>
    </f:if>

    <f:if condition="{organisation.courses}">
        <f:then>
            <div class="o-gridblock c-addresses--listingcontainer">
                <header class="header">
                    <h3>
                        {f:translate(id: 'detail.courses')}
                    </h3>
                </header>
                <drk:block subject="{organisation.courses}" as="courses" chunks="2">
                    <div class="o-gridblock__item">
                        <f:for each="{courses}" as="course">
                            <ul class="c-addresses--listinggroup">
                                <li>
                                    <f:if condition="{course.orgOfferURL}">
                                        <f:then>
                                            <svg role="img">
                                                <use
                                                    xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-website')}"></use>
                                            </svg>
                                            <f:link.external uri="{course.orgOfferURL}"
                                                             title="{f:translate(id: 'detail.courses.web.title')} {course.orgOfferDescription}">
                                                {course.orgOfferDescription}
                                            </f:link.external>
                                        </f:then>
                                        <f:else>
                                            <svg role="img" class="icon--hidden"></svg>
                                            {course.orgOfferDescription}
                                        </f:else>
                                    </f:if>
                                </li>
                                <li>
                                    <svg role="img">
                                        <use
                                            xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-map')}"></use>
                                    </svg>
                                    {f:translate(id: 'detail.maplink')}: <a
                                    href="http://maps.google.com/maps?q={course.orgOfferLatitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')},{course.orgOfferLongitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')}&t=m&z=14$hl=de&mrt=all&iwd=1&iwloc=A"
                                    target="_blank">{f:translate(id: 'detail.maplink.text')}</a>
                                </li>
                            </ul>
                        </f:for>
                    </div>
                </drk:block>
            </div>
        </f:then>
    </f:if>

    <f:if condition="{organisation.institutions}">
        <f:then>
            <div class="o-gridblock c-addresses--listingcontainer">
                <header class="header">
                    <h3>
                        {f:translate(id: 'detail.institutions')}
                    </h3>
                </header>
                <drk:block subject="{organisation.institutions}" as="institutions" chunks="2">
                    <div class="o-gridblock__item">
                        <f:for each="{institutions}" as="institution">
                            <ul class="c-addresses--listinggroup">
                                <li>
                                    <f:if condition="{institution.orgOfferURL}">
                                        <f:then>
                                            <svg role="img">
                                                <use
                                                    xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-website')}"></use>
                                            </svg>
                                            <f:link.external uri="{institution.orgOfferURL}"
                                                             title="{f:translate(id: 'detail.institutions.web.title')} {institution.orgOfferDescription}">
                                                {institution.orgOfferDescription}
                                            </f:link.external>
                                        </f:then>
                                        <f:else>
                                            <svg role="img" class="icon--hidden"></svg>
                                            {institution.orgOfferDescription}
                                        </f:else>
                                    </f:if>
                                </li>
                                <li>
                                    <svg role="img">
                                        <use
                                            xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-map')}"></use>
                                    </svg>
                                    {f:translate(id: 'detail.institutions.maplink')}: <a
                                    href="http://maps.google.com/maps?q={institution.orgOfferLatitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')},{institution.orgOfferLongitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')}&t=m&z=14$hl=de&mrt=all&iwd=1&iwloc=A"
                                    target="_blank">{f:translate(id: 'detail.institutions.maplink.text')}</a>
                                </li>
                            </ul>
                        </f:for>
                    </div>
                </drk:block>
            </div>
        </f:then>
    </f:if>

    <f:if condition="{organisation.objects}">
        <f:then>
            <div class="o-gridblock c-addresses--listingcontainer">
                <header class="header">
                    <h3>
                        {f:translate(id: 'detail.objects')}
                    </h3>
                </header>
                <drk:block subject="{organisation.objects}" as="objects" chunks="2">
                    <div class="o-gridblock__item">
                        <f:for each="{objects}" as="object">
                            <ul class="c-addresses--listinggroup">
                                <li>
                                    <f:if condition="{object.orgOfferURL}">
                                        <f:then>
                                            <svg role="img">
                                                <use
                                                    xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-website')}"></use>
                                            </svg>
                                            <f:link.external uri="{object.orgOfferURL}"
                                                             title="{f:translate(id: 'detail.objects.web.title')} {object.orgOfferDescription}">
                                                {object.orgOfferDescription}
                                            </f:link.external>
                                        </f:then>
                                        <f:else>
                                            <svg role="img" class="icon--hidden"></svg>
                                            {object.orgOfferDescription}
                                        </f:else>
                                    </f:if>
                                </li>
                                <f:if condition="{object.orgOfferName}">
                                    <li>
                                        <svg role="img" class="icon--hidden"></svg>
                                        {object.orgOfferName}
                                    </li>
                                </f:if>

                                <li>
                                    <svg role="img">
                                        <use
                                            xlink:href="{f:uri.resource(path: 'Images/spritemap.svg#sprite-map')}"></use>
                                    </svg>
                                    {f:translate(id: 'detail.objects.maplink')}: <a
                                    href="http://maps.google.com/maps?q={object.orgOfferLatitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')},{object.orgOfferLongitude -> f:format.number(decimals: 10, decimalSeparator: '.', thousandsSeparator: '')}&t=m&z=14$hl=de&mrt=all&iwd=1&iwloc=A"
                                    target="_blank">{f:translate(id: 'detail.objects.maplink.text')}</a>
                                </li>
                            </ul>
                        </f:for>
                    </div>
                </drk:block>
            </div>
        </f:then>
    </f:if>
</f:section>
